@import url('https://fonts.googleapis.com/css2?family=K2D:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Karantina:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root {

    /* Primary Color */
    --cl-1: #1C3B6B;
    --cl-2: #2273BC;

    /* Theme Color */
    --tc-1: #E8D8B6;
    --tc-2: #DDDEE3;
    --tc-3: #ABADB9;
    --tc-4: #787B8E;
    --tc-5: #4D4F5C;
    --tc-6: #23242A;
    --tc-7: #1B1C21;
    --tc-8: #141418;
    --tc-9: #0C0D0F;
    --tc-10: #050506;
    --tc-11: #000000;
    --tc-gradient-1: linear-gradient(0deg, var(--tc-6) 0%, var(--tc-7) 100%);
    --tc-gradient-1-r: linear-gradient(0deg, var(--tc-7) 0%, var(--tc-6) 100%);
}

.cursor-circle{
    position: fixed;
    width: 40px;
    height: 40px;
    pointer-events: none;
    z-index: 9999;
    transform: translate(-50%,-50%);
    transition: width .25s, height .25s;
    mix-blend-mode: difference;
}

.cursor-circle.alt{
    mix-blend-mode: normal;
}

.cursor-dot{
    position:absolute;
    width:3px;
    height:3px;
    background:#fff;
    border-radius:50%;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    mix-blend-mode:difference;
    transition: width .45s ease, height .45s ease;
}

.cursor-circle svg{
    width:100%;
    height:100%;
    transition: .25s;
}

.cursor-path{
    fill: none;
    stroke: #fff;
    stroke-width: 2;
    transition: .25s;
}

.cursor-circle.cursor-hover{
    width:90px;
    height:90px;
}

.cursor-circle.cursor-hover .cursor-dot{
    width:2px;
    height:2px;
}

.cursor-circle.cursor-hover .cursor-path{
    animation: cursorWiggle 1.2s infinite ease-in-out;
}

@keyframes cursorWiggle{
0%  { d:path("M50 5 C70 5 95 30 95 50 C95 70 70 95 50 95 C30 95 5 70 5 50 C5 30 30 5 50 5 Z"); }

25% { d:path("M50 8 C75 3 97 35 92 52 C96 75 70 97 48 92 C25 96 5 68 8 48 C3 28 30 5 50 8 Z"); }

50% { d:path("M52 6 C72 2 98 32 94 55 C90 78 65 95 48 92 C22 90 4 65 6 45 C10 25 32 6 52 6 Z"); }

75% { d:path("M48 7 C68 4 94 28 95 50 C96 70 75 94 52 96 C28 94 7 70 6 50 C5 28 30 4 48 7 Z"); }

100%{ d:path("M50 5 C70 5 95 30 95 50 C95 70 70 95 50 95 C30 95 5 70 5 50 C5 30 30 5 50 5 Z"); }
}

.cursor-circle.cursor-hover svg{
    animation: cursorRotate 6s linear infinite;
}
@keyframes cursorRotate{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(360deg);
    }
}


html, body{
    height: 100%;
    width: 100%;
    position: relative;
    font-family: "K2D", sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    cursor: none;
    background-color: var(--tc-1);
}

.my-vertical-swiper { 
    width: 100%; 
    height: 100vh; 
    background: transparent; 
}
.my-vertical-swiper .swiper-slide { 
    height: 100vh; 
    overflow: hidden; 
}

a{
    text-decoration: none;
    color: inherit;
    cursor: none;
}

.coming-soon-1{
    font-family: 'Karantina';
    font-size: 200px;
    position: absolute;
    bottom: -50px;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: 9;
    color: var(--cl-1);
}

.bg-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* z-index: 1; */
    opacity: .5;
    pointer-events: none;
}

.hidden {
  display: none !important;
}



/* Navbar Start */
.navbar{
    position: fixed;
    left: 40px;
    top: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: var(--cl-2);
    z-index: 10;
    transition: .3s;
}
.navbar .logo{
    font-size: 64px;
    font-weight: bold;
    -webkit-text-stroke: 1px var(--cl-2);
    color:transparent;
    transition: .3s;
}
.navbar .link{
    font-size: 1.2rem;
    text-decoration: none;
    font-style: normal;
    /* transition: .2s; */
}
.navbar .link:hover{
    font-style: italic;
    text-decoration: underline;
}
/* Navbar End */





/* Above The Fold Start */
.above-the-fold{
    width: 100%;
    height: 100vh;
    position: relative;
}
.above-the-fold .pattern-container{
    width: 60%;
    height: 100%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}
.above-the-fold .about{
    position: absolute;
    right: 40px;
    top: 50%;
    width: 300px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 10;
    text-align: right;
}
.above-the-fold .about .title{
    font-size: 1.5rem;
    color: var(--cl-2);
    margin-bottom: 1.25rem;
    transition: .3s;
}
.above-the-fold .about i{
    font-size: 4rem;
    color: var(--cl-2);
    transition: .3s;
    transform: translate(0, 0);
}
.above-the-fold .about:hover i{
    transform: translate(-6px, 6px);
}
.above-the-fold .email-cta{
    position: absolute;
    font-size: 1.2rem;
    bottom: 20px;
    left: 40px;
    color: var(--cl-2);
    /* cursor: pointer; */
    font-style: normal;
    text-decoration: none;
    /* transition: .2s; */
}
.above-the-fold .email-cta:hover{
    font-style: italic;
    text-decoration: underline;
}

/* Above The Fold End */





/* Projects Section Start */
.section-two {
    display: flex;
    flex-direction: column;
    justify-content: center; /* centers vertically */
    align-items: center;     /* centers horizontally */
    height: 100vh;           /* full viewport height */
    width: 100%;
    overflow: hidden;        /* keeps the scrolling bars contained */
}

.section-two .row-1{
    margin-top: 200px;
}
.section-two .row-1,
.section-two .row-2 {
    width: 100%;
}
/* Projects Section End */





/* Footer Section Start */
.section-three {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100vh;
    width: 100%;
    position: relative;
    padding: 40px;
    box-sizing: border-box;
}
#map-circle{
    transition: .3s;
}
.map{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.locations{
    display: flex;
    justify-content: center;
    gap: 100px;
    align-items: center;
    color: var(--cl-2);
}
.socials{
    color: var(--cl-2);
    display: flex;
    justify-content: space-between;
}
.socials .set-1{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.socials .set-2{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 20px;
}
.footer-btn{
    color: var(--cl-2);
    position: relative;
}
.footer-logo{
    position: absolute;
    left: 0;
}
.pages{
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    gap: 40px;
    display: flex;
    justify-content: space-between;
}
.archive{
    position: absolute;
    right: 0;
}
/* Footer Section End */





/* Modal Start */
.project-modal{
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    background: var(--tc-1);
    z-index: 200;
}
.project-modal .stripes-row-1,
.project-modal .stripes-row-2{
    position: absolute;
    width: 100%;
    height: 50px;
    background-color: var(--cl-2);
}
.project-modal .stripes-row-1{
    top: 0;
}
.project-modal .stripes-row-2{
    bottom: 0;
}
.project-modal .project-details{
    position: absolute;
    bottom: 40px;
    width: 100%;
    padding: 40px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
}
.project-modal .project-images-row {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  /* padding: 0 40px; */
  box-sizing: border-box;
}
.project-modal .project-swiper {
  width: 100%;
  height: 400px; /* tweak */
}
.project-modal .project-swiper .swiper-slide {
  width: auto;
  height: 100%;
  border-radius: 16px;
  overflow: hidden;
}
.project-modal .project-swiper .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
/* Modal End */





/* Contact Page Start */
.contact-page{
    background-color: var(--cl-2);
    color: var(--tc-1);
    position: relative;
    box-sizing: border-box;
    z-index: 22;
}
.contact-page .navbar{
    color: var(--tc-1);
}
.contact-page .navbar .logo{
    -webkit-text-stroke: 1px var(--tc-1);
}

.contact-form{
    padding-inline: 40px;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    transition: .3s;
}
.contact-form .form{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
    height: 100%;
    gap: 60px;
    transition: .3s;
}
.contact-form .form .submit-btn{
    height: 100px;
    width: 100px;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    font-size: 2rem;
    background-color: transparent;
    outline: none;
    border: 1px solid var(--tc-1);
    color: var(--tc-1);
    /* cursor: pointer; */
    cursor: none;
    transition: .3s;
}
.contact-form .form .input-row{
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 20px;
    transition: .3s;
}
.contact-form .form .input-row input{
    width: 100%;
    background-color: transparent;
    color: var(--tc-1);
    border: 0px;
    border-bottom: 1px solid var(--tc-1);
    padding: 10px 0;
    font-size: 3rem;
    font-weight: 100;
    font-family: "K2D";
    font-style: italic;
    transition: .3s;
}
.contact-form .form .input-row input::placeholder{
    color: var(--tc-2);
    font-style: normal;
}
.contact-form .form .input-row input:focus{
    outline: none;
}
.contact-form .form .form-textarea{
    width: 100%;
    background: transparent;
    color: var(--tc-1);
    border: 0;
    border-bottom: 1px solid var(--tc-1);

    font-size: 3rem;
    font-weight: 100;
    font-family: "K2D", sans-serif;

    padding: 10px 0 25px 0;
    margin: 0;
    margin-bottom: 100px;

    line-height: 3.5rem;
    min-height: 3rem;

    resize: none;
    overflow-y: hidden;
    transition: .3s;
}
.contact-form .form .form-textarea::placeholder{
    color: var(--tc-2);
    font-style: normal;
}
.contact-form .form .form-textarea:focus{
    outline: none;
}
.contact-form .external-links{
    display: flex;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
    position: absolute;
    bottom: 20px;
    left: 0;
    padding-inline: 40px;
    color: var(--tc-1);
    font-size: 1.2rem;
    transition: .3s;
}
.contact-form .external-links .socials{
    display: flex;
    justify-content: flex-end;
    box-sizing: border-box;
    gap: 60px;
    font-size: 1.4rem;
    color: var(--tc-1);
    transition: .3s;
}
/* Contact Page End */



/* Projects Page Start */

.project-page{
    height: 100%;
    width: 100%;
    padding-top: 300px;
}
.project-page .navbar{
    position: absolute;
}
.projects-list-wrapper{
    padding-inline: 40px;
    padding-bottom: 200px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 120px 120px;
    width: 100%;
    box-sizing: border-box;
}
.project-card{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.project-card img{
    width: 100%;
    height: auto;
    /* cursor: pointer; */
    margin-bottom: 30px;
}
.project-title{
    font-size: 1.4rem;
    color: var(--tc-8);
}
/* Projects Page End */



/* Large Desktop */
@media (max-width: 1440px) { }

/* Laptop */
@media (max-width: 1200px) {

/* Home Page Start */
    /* Navbar Start */
    .navbar{
        left: 20px;
        top: 10px;
        gap: 6px;
    }
    .navbar .logo{
        font-size: 34px
    }
    .navbar .link{
        font-size: 1rem
    }
    /* Navbar End */



    /* Above The Fold Start */
    .above-the-fold .pattern-container {
        width: 100%;
        height: 60%;

        left: unset;
        transform: none;

        top: 50%;
        transform: translateY(-50%);
    }
    .above-the-fold .about{
        top: unset;
        bottom: 1.2rem;
        width: 240px;
        text-align: right;
    }
    .above-the-fold .about .title{
        font-size: 1.2rem;
        margin-bottom: 0.5rem;
    }
    .above-the-fold .about i{
        font-size: 2rem;
    }
    /* Above The Fold End */



    /* Footer Section Start */
    .section-three{
        padding: 20px;
    }
    #map-circle{
        width: 250px !important;
        height: 250px !important;
    }
    .locations{
        flex-direction: column;
        justify-content: flex-end;
        align-items: flex-end;
        gap: 10px;
    }
   .section-three {
        justify-content: flex-start;
    }
    .section-three .socials {
        margin-top: auto;
        margin-bottom: 20px;
    }
    .section-three .socials .set-1, .section-three .socials .set-2{
        gap: 10px;
    }
    .footer-btn{
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    .footer-logo{
        position: relative;
        left: unset;
    }
    .pages{
        display: flex;
        position: unset;
        left: unset;
        transform: translateX(0%);
        gap: 20px;
    }
    .archive{
        position: unset;
        right: unset;
    }
    /* Footer Section End */
/* Home Page End */

    

/* Contact Page Start */
    .contact-form{
        padding-inline: 20px;
    }
    .contact-form .form{
        gap: 30px;
    }
    .contact-form .form .submit-btn{
        height: 70px;
        width: 70px;
    }
    .contact-form .form .input-row{
        flex-direction: column;
    }
    .contact-form .form .input-row input{
        font-size: 1.5rem;
    }
    .contact-form .form .form-textarea{
        font-size: 1.5rem;
        line-height: 1.5rem;
        min-height: 1.5rem;
        padding: 0px;
        margin-bottom: 120px;
    }
    .contact-form .external-links{
        flex-direction: column;
        justify-content: center;
        gap: 20px;
        bottom: 20px;
        padding-inline: 20px;
    }
    .contact-form .external-links .socials{
        font-size: 1.2rem;
        justify-content: space-between;
    }
/* Contact Page End */

}

/* Small Laptop */
@media (max-width: 1024px) {
}

/* Tablet */
@media (max-width: 768px) {}

/* Large Mobile */
@media (max-width: 576px) { }

/* Small Mobile */
@media (max-width: 400px) { }
